package com.gyee.alarm.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 预警报告结论
 * </p>
 *
 * @author shilin
 * @since 2023-09-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEarlyReportConclusio extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID",type = IdType.INPUT)
    private String id;

    /**
     * 风机所属部件
     */
    private String part;

    /**
     * 预警信息
     */
    private String alarmInfo;

    /**
     * 隐患后果
     */
    private String hiddanger;

    private String checkMatter;


}
