package com.gyee.alarm.model.vo;


import lombok.Data;

import java.sql.Timestamp;

@Data
public class AlarmVo {

    private  String tbName;
    private String alarmId;
    private String alarmType;
    private String characteristic;
    private String components;
    private Boolean confirmed;
    private String description;
    private String deviceId;
    private String devicename;
    private String deviceType;
    private Boolean enabled;
    private String lineid;
    private String linename;
    private String modelId;
    private String projectid;
    private String projectname;
    private Integer rank;
    private Boolean resettable;
    private String stationid;
    private String stationname;
    private String subcomponents;
    private String suffix;
    private String tagid;
    private Integer triggertype;
    private String uniformcode;
    private String superTableName;

    private long ts;
    private Integer val;
    private Integer oval;

    private long endts;

    private Double timelong;

    /**
     * 故障名称
     */
    private String name;

    /**
     *故障码
     */
    private String nemCode;

    /**
     * 故障原因
     */
    private String faultCause;

    /**
     * 排查方法
     */
    private String resolvent;
    private String wpName;
    private String code;
    private String wpId;
    private String faultType;
    private String id;

    private String aname;
}
