package com.gyee.alarm.feigns;


import com.gyee.alarm.model.vo.AlarmCustomTag;
import com.gyee.alarm.model.vo.AlarmTag;
import feign.Headers;
import feign.RequestLine;

import java.util.ArrayList;
import java.util.List;

public interface IAlarmService {

    @RequestLine("GET /api/alarm/ctTags")
    public List<AlarmCustomTag> findTagsByCt();

    @Headers({"Content-Type: application/json", "Accept: application/json"})
    @RequestLine("POST /api/alarm/saveCtTags")
    void saveAlarm(List<AlarmTag> tasks);

    @Headers({"Content-Type: application/json", "Accept: application/json"})
    @RequestLine("POST /api/alarm/updateCtTags")
    void updateAlarm(List<AlarmTag> tasks);

}
