package com.gyee.alarm.mapper.auto;

import com.gyee.alarm.model.auto.ProEconCurveFittMonthSub;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 风电机月拟合曲线子表 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface ProEconCurveFittMonthSubMapper extends BaseMapper<ProEconCurveFittMonthSub> {

    @Delete(" delete from pro_econ_curve_fitt_month_sub where year=#{year} and month=#{month}  AND  windturbine_id like '%_F_%' ")
    public int deleteProEconCurveFittMonthSubFByMonth(@Param(value = "year") String year, @Param(value = "month") String month);

    @Delete(" delete from pro_econ_curve_fitt_month_sub where year=#{year} and month=#{month}  AND  windturbine_id like '%_G_%' ")
    public int deleteProEconCurveFittMonthSubGByMonth(@Param(value = "year") String year, @Param(value = "month") String month);
}
